Package org.apache.sling.rewriter.impl.components

## Class TraxHtmlSerializerFactory

- java.lang.Object
- - org.apache.sling.rewriter.impl.components.AbstractTraxSerializerFactory
  - - org.apache.sling.rewriter.impl.components.TraxHtmlSerializerFactory

All Implemented Interfaces:
  `SerializerFactory`

    public class TraxHtmlSerializerFactory
    extends AbstractTraxSerializerFactory

This sax serializer serializes html-

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sling.rewriter.impl.components.AbstractTraxSerializerFactory

`AbstractTraxSerializerFactory.NamespaceAsAttributes`

### Constructor Summary

Constructors
`TraxHtmlSerializerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getDoctypePublic()`
`protected String` `getDoctypeSystem()`
`protected String` `getOutputFormat()`

### Methods inherited from class org.apache.sling.rewriter.impl.components.AbstractTraxSerializerFactory

`activate, createSerializer, deactivat, needsNamespacesAsAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraxHtmlSerializerFactory

    public TraxHtmlSerializerFactory()

### Method Detail

#### getOutputFormat

    protected String getOutputFormat()

Specified by:
  `getOutputFormat` in class `AbstractTraxSerializerFactory`

#### getDoctypePublic

    protected String getDoctypePublic()

Specified by:
  `getDoctypePublic` in class `AbstractTraxSerializerFactory`

#### getDoctypeSystem

    protected String getDoctypeSystem()

Specified by:
  `getDoctypeSystem` in class `AbstractTraxSerializerFactory`